JUCE: MidiBuffer::Iterator Class Reference

JUCE

Public Member Functions | List of all members
MidiBuffer::Iterator Class Reference

Used to iterate through the events in a MidiBuffer. More...

## Public Member Functions
| Iterator (const MidiBuffer &) noexcept
| Creates an Iterator for this MidiBuffer. More...
| Iterator (const Iterator &)=default
| Creates a copy of an iterator. More...
| ~Iterator () noexcept
| Destructor. More...
void | setNextSamplePosition (int samplePosition) noexcept
| Repositions the iterator so that the next event retrieved will be the first one whose sample position is at greater than or equal to the given position. More...
bool | getNextEvent (MidiMessage &result, int &samplePosition) noexcept
| Retrieves a copy of the next event from the buffer. More...
bool | getNextEvent (const uint8 *&midiData, int &numBytesOfMidiData, int &samplePosition) noexcept
| Retrieves the next event from the buffer. More...

## Detailed Description

Used to iterate through the events in a MidiBuffer.

Note that altering the buffer while an iterator is using it will produce undefined behaviour.

See also
  MidiBuffer

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

MidiBuffer::Iterator::Iterator | ( | const MidiBuffer & |  | ) |
| noexcept

Creates an Iterator for this MidiBuffer.

## ◆ Iterator() [2/2]

MidiBuffer::Iterator::Iterator | ( | const Iterator & |  | ) |
| default

Creates a copy of an iterator.

## ◆ ~Iterator()

MidiBuffer::Iterator::~Iterator | ( |  | ) |
| noexcept

Destructor.

## Member Function Documentation

## ◆ setNextSamplePosition()

void MidiBuffer::Iterator::setNextSamplePosition | ( | int | samplePosition | ) |
| noexcept

Repositions the iterator so that the next event retrieved will be the first one whose sample position is at greater than or equal to the given position.

## ◆ getNextEvent() [1/2]

bool MidiBuffer::Iterator::getNextEvent | ( | MidiMessage & | result,
|  | int & | samplePosition
| ) |  |
| noexcept

Retrieves a copy of the next event from the buffer.

Parameters

  result | on return, this will be the message. The MidiMessage's timestamp is set to the same value as samplePosition.
  samplePosition | on return, this will be the position of the event, as a sample index in the buffer

Returns
  true if an event was found, or false if the iterator has reached the end of the buffer

## ◆ getNextEvent() [2/2]

bool MidiBuffer::Iterator::getNextEvent | ( | const uint8 *& | midiData,
|  | int & | numBytesOfMidiData,
|  | int & | samplePosition
| ) |  |
| noexcept

Retrieves the next event from the buffer.

Parameters

  midiData | on return, this pointer will be set to a block of data containing the midi message. Note that to make it fast, this is a pointer directly into the MidiBuffer's internal data, so is only valid temporarily until the MidiBuffer is altered.
  numBytesOfMidiData | on return, this is the number of bytes of data used by the midi message
  samplePosition | on return, this will be the position of the event, as a sample index in the buffer

Returns
  true if an event was found, or false if the iterator has reached the end of the buffer

The documentation for this class was generated from the following file:

- juce_MidiBuffer.h